curl https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../flags/new-checkout \
-H "Authorization: Bearer <server_key>"
{
"id": "flag_01hx...",
"orgId": "org_01hx...",
"projectId": "proj_01hx...",
"key": "new-checkout",
"name": "New Checkout Flow",
"description": null,
"type": "boolean",
"clientSafe": false,
"archivedAt": null,
"createdAt": "2024-03-01T12:00:00.000Z",
"versions": {
"env_01hx...": {
"id": "fv_02hx...",
"version": 2,
"config": {
"version": 2,
"enabled": true,
"defaultValue": false,
"rules": []
},
"createdAt": "2024-04-01T09:00:00.000Z"
}
}
}
Flags
Get Flag
Returns a single flag with its latest config per environment.
GET
/
v1
/
projects
/
{projectId}
/
flags
/
{flagKey}
curl https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../flags/new-checkout \
-H "Authorization: Bearer <server_key>"
{
"id": "flag_01hx...",
"orgId": "org_01hx...",
"projectId": "proj_01hx...",
"key": "new-checkout",
"name": "New Checkout Flow",
"description": null,
"type": "boolean",
"clientSafe": false,
"archivedAt": null,
"createdAt": "2024-03-01T12:00:00.000Z",
"versions": {
"env_01hx...": {
"id": "fv_02hx...",
"version": 2,
"config": {
"version": 2,
"enabled": true,
"defaultValue": false,
"rules": []
},
"createdAt": "2024-04-01T09:00:00.000Z"
}
}
}
Path parameters
The flag’s
key identifier.Response
Returns the flag object with aversions map keyed by environmentId. See Flag Config for the version schema.
curl https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../flags/new-checkout \
-H "Authorization: Bearer <server_key>"
{
"id": "flag_01hx...",
"orgId": "org_01hx...",
"projectId": "proj_01hx...",
"key": "new-checkout",
"name": "New Checkout Flow",
"description": null,
"type": "boolean",
"clientSafe": false,
"archivedAt": null,
"createdAt": "2024-03-01T12:00:00.000Z",
"versions": {
"env_01hx...": {
"id": "fv_02hx...",
"version": 2,
"config": {
"version": 2,
"enabled": true,
"defaultValue": false,
"rules": []
},
"createdAt": "2024-04-01T09:00:00.000Z"
}
}
}
⌘I